#!/usr/bin/fish

echo $argv

set -l cmd
set -l src_dir
set -l dst_dir

if set -q argv[1]
	set cmd $argv[1] -s (dirname $argv[1])/data/index-cpp.idx -o (dirname $argv[1])/data/other.idx
else
	echo "Please specify the alg_intuition executable path"
	exit 1
end

if set -q argv[2]
	set src_dir $argv[2]
else
	set src_dir .
end

if set -q argv[3]
	set dst_dir $argv[3]
else
	set dst_dir .
end

$cmd $src_dir/table_ana.yml $dst_dir/table_ana.html
$cmd $src_dir/table_cata.yml $dst_dir/table_cata.html
